Ergebnis 1 bis 2 von 2

Thema: Seite Zahlungsmodule lädt nicht: Braintree PHP version >= 7.2.0 required

  1. #1
    Padawan Stufe VIII Avatar von klartexter
    Registriert seit
    19.02.2006
    Ort
    Augsburg
    Beiträge
    1.344
    Themen
    110
    DANKE
    50
    Erhaltene Danke: 116

    Standard Seite Zahlungsmodule lädt nicht: Braintree PHP version >= 7.2.0 required

    Nun wollte ich meine Zahlungsmodule updaten, aber unter PHP 7.1 gibt es ein Problem. Die Adminseite für die Zahlungsmodule wird nur teilweise geladen, nach Braintree bricht die Darstellung ab. Es gibt auch ein Logfile:

    [11-Sep-2019 10:38:16 Europe/Berlin] Request URI: /xxxx/xxxxx/modules.php?set=payment, IP address: 2003:de:af13:7400:2401:bbc8:2c82:2a05
    --> PHP Fatal error: Uncaught Braintree\Exception: PHP version >= 7.2.0 required in /is/htdocs/wp10.../xxx/xxx/includes/modules/payment/braintree/lib/Braintree.php:10
    Stack trace:
    #0 /is/htdocs/wp10.../xxx/xxx/includes/modules/payment/braintree_api.php(9): require_once()
    #1 /is/htdocs/wp10.../xxx/xxx/dispatcher156/modules.php(223): include('/is/htdocs/wp10...')
    #2 {main}
    thrown in /is/htdocs/wp10.../xxx/xxx/includes/modules/payment/braintree/lib/Braintree.php on line 10.
    Es liegt vermutlich an der PHP-Version, denn auf einem anderen Testserver mit PHP 7.3 gibt es keine Probleme. Ich werde die Zahlungsmodule eben erst beim umstellen auf die Version 7.3 bearbeiten, insofern also für mich kein Problem. Wollte nur darüber informieren, dass es hier scheinbar keine Abwärtskombatibilität von 1.56 zur PHP 7.1 gibt.
    Immer mit der Ruhe - ich komme noch früh genug zu spät!

  2. #2
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.839
    Themen
    94
    DANKE
    3
    Erhaltene Danke: 1.186

    Standard

    Du kannst diese Abfrage auskommentieren in includes/modules/payment/braintree/lib/Braintree.php
    Code:
    if (version_compare(PHP_VERSION, '7.2.0', '<')) {
        throw new Braintree_Exception('PHP version >= 7.2.0 required');
    }
    Bei Deinem Provider ist es sicher auch möglich für Unterverzeichnisse mittels .htaccess unterschiedliche PHP Versionen einzustellen ohne die Haupt PHP Version ändern zu müssen. Auskunft darüber gibt Dein Provider.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

Ähnliche Themen

  1. (Zen-Cart 1.5.5) Wichtige Infos zum Modul Braintree Kreditkartenzahlung
    Von webchills im Forum Kreditkartenzahlung mit Braintree
    Antworten: 0
    Letzter Beitrag: 17.04.2019, 07:47
  2. Hilfe Algozone Template lädt nicht
    Von RinkaDink im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 7
    Letzter Beitrag: 24.01.2009, 22:49
  3. Payment modul lädt nicht vollständig
    Von rootathell im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 1
    Letzter Beitrag: 27.11.2008, 22:55
  4. shop lädt langsam
    Von yps im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 2
    Letzter Beitrag: 03.10.2008, 21:17
  5. Seite index.php?main_page=conditions lädt nicht
    Von lostmail im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 3
    Letzter Beitrag: 17.07.2006, 22:55

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.
Die amerikanische Zen-Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. Daher wurde die deutsche Zen-Cart Version nicht nur bloß ins Deutsche übersetzt, sondern auch funktional auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst.

Die amerikanische Version ist extrem abgespeckt und stellt weiterführende Funktionalitäten durch zusätzliche Module bereit, die erst mühsam manuell installiert werden müssen. Zahlreiche häufig genutzte Erweiterungen und eigene Entwicklungen sind in der deutschen Zen Cart Version bereits vorinstalliert.
Die deutsche Zen-Cart Version bietet außerdem einen völlig multilingualen Adminbereich. Weitere für die deutsche Zen Cart Version angepasste Erweiterungen stehen in unserem Downloadbereich zur Verfügung.

Die deutsche Zen Cart Version wird seit 15 Jahren von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.6c deutsch
vom 01.09.2019
[Download]

unterstützen
Unterstütze die Weiterentwicklung der deutschen Zen Cart Version mit einer Spende!

Spende für die Weiterentwicklung der deutschen Zen Cart Version